I have recentlky downloaded ArcGIS_Desktop_104_149411 and ArcGISPro_5023_149395 Trial versions. After I install them, both apps state that I need an update " A service pack is required on this Operating sysytem. See http://support.esri.com for more info

3840
7
04-29-2016 06:53 PM
GeneCrain
New Contributor

I have recently downloaded ArcGIS_Desktop_104_149411 and  ArcGISPro_5023_149395  Trial versions. After I install them, both apps state that I need an update " A service pack is required on this Operating system. See http://support.esri.com for more information " When I go to the site there are all kinds of updates so I download the one for Desktop and try to install and it says "  The upgrade patch cannot be installed by the Windows Installer service because the program to be upgraded may be missing, or the upgrade patch may update a different version of the program. Verify that the program to be upgraded exists on your computer and that you have the correct upgrade patch. " What do I need to do?

0 Kudos
7 Replies
DanPatterson_Retired
MVP Esteemed Contributor

you installed and registered it before doing any patching I hope.  If this is for Arcmap version 10.4, the only thing there applies to an internationalization of languages.  check it out.  Upgrading the patch isn't required, but I don't think you have completed and registered the installation.  In any event, the site is here

Patches and Service Pack - Esri Support

0 Kudos
curtvprice
MVP Esteemed Contributor

This question is posted to Community Help which is a forum about using GeoNet, not Esri installation issues. Shared with ArcGIS for Desktop Installation support

0 Kudos
DanPatterson_Retired
MVP Esteemed Contributor

did notice Curtis, I moved it there

0 Kudos
JayantaPoddar
MVP Esteemed Contributor

What version of Windows do you have? Also mention the service pack, if any.

EDIT: Did the above mentioned products got installed, or just extracted followed by the error message?



Think Location
RebeccaStrauch__GISP
MVP Esteemed Contributor

Make sure you meet the minimum requreiments for both softwares too

ArcGIS 10.4 for Desktop system requirements—ArcGIS Help | ArcGIS for Desktop

ArcGIS Pro 1.2 system requirements—ArcGIS Pro | ArcGIS for Desktop

As Dan mentioned, it might help to make sure they are registered before applying any patches.  typically Pro is done/upgraded after you successfully log in to your ArcGIS Online account that is assigning the Pro license (With the Pro software).

arcGiS  should allow you to register before needing to apply patches for the ArcGIS Desktop software...that is why it sounds more like it is missing a systew requirement.

Do you have other ArcGIS software installed on that machine?  You need to uninstall previous versions first.

Also, you mention it is a trial license....is that thru you customer number, or from a book or class?  each may have a different process to correct any issues.

DanPatterson_Retired
MVP Esteemed Contributor

Rebecca has a point, academic licenses are often (but not always) renewed at the beginning of May which requires a new license, so if this is through a university/college, contact the person responsible for licensing.

LaureneKoman
Occasional Contributor III

This message implies that the Operating System you're installing on needs a Service Pack to proceed with the ArcGIS for Desktop installation. For instance, the minimum requirement for Win 7 is Win 7 SP1.

Compare your Operating System and SP level with the product system requirements:

ArcGIS 10.4 for Desktop system requirements—System Requirements | ArcGIS for Desktop http://desktop.arcgis.com/en/arcmap/10.3/get-started/system-requirements/arcgis-desktop-system-requi...

Laurene Koman

ArcGIS Installation Team